/*
 * Copyright (C) 2010 Anonymous
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.test.radios;

import android.content.Context;
import android.util.AttributeSet;
import android.util.Log;
import android.widget.EditText;

public class MEditText extends EditText {

	private MEditTextSizeChangedListener listener;
	
	private int layoutId;
	public MEditText(Context context) {
		super(context);
		// TODO Auto-generated constructor stub
	}

	public MEditText(Context context, AttributeSet attrs) {
		super(context, attrs);
		// TODO Auto-generated constructor stub
	}

	public MEditText(Context context, AttributeSet attrs, int defStyle) {
		super(context, attrs, defStyle);
		// TODO Auto-generated constructor stub
	}

	@Override
	protected void onSizeChanged ( int w, int h, int oldw, int oldh ) {
		
		super.onSizeChanged(w, h, oldw, oldh);
//		if ( listener != null )
//			listener.sizeChanged( this, getTop(), getBottom());
//		Log.e("MEditText","onSizeChanged() top " + getTop() + ", bottom " + getBottom());
	}
	@Override
	protected void onLayout ( boolean changed, int left, int top, int right, int bottom ) {
		
		super.onLayout(changed, left, top, right, bottom);
		if ( listener != null )
			listener.sizeChanged( this, getTop(), getBottom());
	}
	public interface MEditTextSizeChangedListener {
		
		public void sizeChanged( MEditText mEditText, int top, int bottom );
	}
	public void setMEditTextOnSizeChangedListener ( MEditTextSizeChangedListener listener ) {
		
		this.listener = listener;
	}
	public void setLayoutId ( int id ) {
		
		layoutId = id;
	}
	public int getLayoutId () {
		
		return layoutId;
	}
}
