/*
 * Copyright (C) 2010 Anonymous
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.test.radios;

import org.test.radios.MEditText.MEditTextSizeChangedListener;

import android.content.Context;
import android.util.AttributeSet;
import android.util.Log;
import android.widget.RadioButton;
import android.widget.RadioGroup;

public class MRadioGroup extends RadioGroup implements MEditTextSizeChangedListener {
	
	private final int radioButtonId[] = {
			
		R.id.RadioButton01,
		R.id.RadioButton02,
		R.id.RadioButton03,
		R.id.RadioButton04,
		R.id.RadioButton05
	};
	
	private int topBottom[][] = new int[5][2];

	private RadioButton[] radioButton = new RadioButton[5];
	
	public MRadioGroup(Context context) {
		super(context);
		// TODO Auto-generated constructor stub
	}

	public MRadioGroup(Context context, AttributeSet attrs) {
		super(context, attrs);
		// TODO Auto-generated constructor stub
	}
	
	@Override
	protected void onFinishInflate () {
		
		for ( int i = 0; i < 5; i++ ) {
			
			radioButton[i] = (RadioButton)findViewById(radioButtonId[i]);
		}
	}

	@Override
	public void sizeChanged( MEditText mEditText, int top, int bottom ) {

		if ( mEditText == null )
			return;
		int id = mEditText.getLayoutId();
		if ( id < 0 || id > 4 )
			return;
		topBottom[id][0] = top;
		topBottom[id][1] = bottom;
		Log.e("TestRadios", "sizeChanged() signal from MEditText id " + id + " top = " + top + " bottom = " + bottom );
		if ( id == 4 ) {
			for ( int i = 0; i < 5; i++ ) {
				
				Log.e("TestRadios", "sizeChanged() laying out id " + i + " top " + topBottom[i][0] + ", bottom " + topBottom[i][1]);
				radioButton[i].layout ( getLeft(), topBottom[i][0], getRight(), topBottom[i][1]);
			}
		}
	}
}







