/*
 * Copyright (C) 2010 Anonymous
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.test.radios;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;


import android.view.View;

public class TestRadios extends Activity {

	private MRadioGroup mRadioGroup;
    
    private final int editTextId[] = {
    		
    	R.id.EditText01,
    	R.id.EditText02,
    	R.id.EditText03,
    	R.id.EditText04,
    	R.id.EditText05
    };
    private MEditText[] mEditText = new MEditText[5];
                                 
	@Override
    public void onCreate(Bundle savedInstanceState) {
		
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        mRadioGroup = (MRadioGroup)findViewById(R.id.RadioGroup);
        for ( int i = 0; i < 5; i++ ) {
        	
        	mEditText[i] = (MEditText)findViewById(editTextId[i]);
        	mEditText[i].setMEditTextOnSizeChangedListener(mRadioGroup);
        	mEditText[i].setLayoutId(i);
        }
    }
	
	public void clickMe( View view ) {

		Log.e("TestRadios", "clickMe()" );
		for ( int i = 0; i < 5; i++ )
			mEditText[i].setHeight(mEditText[i].getHeight() + 10 );
	}
}








